Pow.Plug.RequireNotAuthenticated (Pow v1.0.24) View Source

This plug ensures that a user hasn't already been authenticated.

You can see Pow.Phoenix.PlugErrorHandler for an example of the error handler module.

Example

plug Pow.Plug.RequireNotAuthenticated,
  error_handler: MyAppWeb.Pow.ErrorHandler